Package org.jCharts.types

# Class IntType

java.lang.Object
org.jCharts.types.IntType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ChartType`, `PieLabelType`, `StockChartDataType`

public abstract class IntType extends Object implements Serializable
Provides a common base class for all types.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`type`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IntType(int typeCode)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getInt()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type

private int type

## Constructor Details

### IntType

protected IntType(int typeCode)

Parameters:
  `typeCode` -

## Method Details

### getInt

public int getInt()

Returns:
  int